complete -c sqop -n "__fish_use_subcommand" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_use_subcommand" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_use_subcommand" -f -a "version" -d 'Prints version information'
complete -c sqop -n "__fish_use_subcommand" -f -a "generate-key" -d 'Generates a Secret Key'
complete -c sqop -n "__fish_use_subcommand" -f -a "extract-cert" -d 'Extracts a Certificate from a Secret Key'
complete -c sqop -n "__fish_use_subcommand" -f -a "sign" -d 'Creates Detached Signatures'
complete -c sqop -n "__fish_use_subcommand" -f -a "verify" -d 'Verifies Detached Signatures'
complete -c sqop -n "__fish_use_subcommand" -f -a "encrypt" -d 'Encrypts a Message'
complete -c sqop -n "__fish_use_subcommand" -f -a "decrypt" -d 'Decrypts a Message'
complete -c sqop -n "__fish_use_subcommand" -f -a "armor" -d 'Converts binary OpenPGP data to ASCII'
complete -c sqop -n "__fish_use_subcommand" -f -a "dearmor" -d 'Converts ASCII OpenPGP data to binary'
complete -c sqop -n "__fish_use_subcommand" -f -a "help" -d 'Prints this message or the help of the given subcommand(s)'
complete -c sqop -n "__fish_seen_subcommand_from version" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from version" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_seen_subcommand_from generate-key" -l no-armor -d 'Don\'t ASCII-armor output'
complete -c sqop -n "__fish_seen_subcommand_from generate-key" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from generate-key" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_seen_subcommand_from extract-cert" -l no-armor -d 'Don\'t ASCII-armor output'
complete -c sqop -n "__fish_seen_subcommand_from extract-cert" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from extract-cert" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_seen_subcommand_from sign" -l as -d 'Sign binary data or UTF-8 text'
complete -c sqop -n "__fish_seen_subcommand_from sign" -l no-armor -d 'Don\'t ASCII-armor output'
complete -c sqop -n "__fish_seen_subcommand_from sign" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from sign" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_seen_subcommand_from verify" -l not-before -d 'Consider signatures before this date invalid'
complete -c sqop -n "__fish_seen_subcommand_from verify" -l not-after -d 'Consider signatures after this date invalid'
complete -c sqop -n "__fish_seen_subcommand_from verify" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from verify" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_seen_subcommand_from encrypt" -l as -d 'Encrypt binary data, UTF-8 text, or MIME data'
complete -c sqop -n "__fish_seen_subcommand_from encrypt" -l with-password -d 'Encrypt with passwords'
complete -c sqop -n "__fish_seen_subcommand_from encrypt" -l sign-with -d 'Keys for signing'
complete -c sqop -n "__fish_seen_subcommand_from encrypt" -l no-armor -d 'Don\'t ASCII-armor output'
complete -c sqop -n "__fish_seen_subcommand_from encrypt" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from encrypt" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_seen_subcommand_from decrypt" -l session-key-out -d 'Write the session key here'
complete -c sqop -n "__fish_seen_subcommand_from decrypt" -l with-session-key -d 'Try to decrypt with this session key'
complete -c sqop -n "__fish_seen_subcommand_from decrypt" -l with-password -d 'Try to decrypt with this password'
complete -c sqop -n "__fish_seen_subcommand_from decrypt" -l verify-out -d 'Write verification result here'
complete -c sqop -n "__fish_seen_subcommand_from decrypt" -l verify-with -d 'Certs for verification'
complete -c sqop -n "__fish_seen_subcommand_from decrypt" -l verify-not-before -d 'Consider signatures before this date invalid'
complete -c sqop -n "__fish_seen_subcommand_from decrypt" -l verify-not-after -d 'Consider signatures after this date invalid'
complete -c sqop -n "__fish_seen_subcommand_from decrypt" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from decrypt" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_seen_subcommand_from armor" -l label -d 'Indicates the kind of data'
complete -c sqop -n "__fish_seen_subcommand_from armor" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from armor" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_seen_subcommand_from dearmor" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from dearmor" -s V -l version -d 'Prints version information'
complete -c sqop -n "__fish_seen_subcommand_from help" -s h -l help -d 'Prints help information'
complete -c sqop -n "__fish_seen_subcommand_from help" -s V -l version -d 'Prints version information'
